package org.gcube.data.access.storagehub.scripting;

import java.util.List;
import java.util.function.Predicate;

import javax.jcr.Node;
import javax.jcr.RepositoryException;

import org.gcube.common.storagehub.model.exceptions.BackendGenericError;
import org.gcube.common.storagehub.model.items.Item;

public interface ScriptUtil {
	
	Item getItem(Node node, List<String> excludes) throws RepositoryException, BackendGenericError ;
	
	List<Item> getChildren(Predicate<Node> checker, Node parent, List<String> excludes, boolean showHidden, Class<? extends Item> nodeTypeToInclude) throws RepositoryException, BackendGenericError;
	
}
